<template>
  <div :id="elementId">
  <v-card dark color="primary" >
    <v-tabs v-model="tab_menu" align-with-title background-color="primary" color="secondary">
      <v-tabs-slider color="secondary"></v-tabs-slider>
      <v-tab v-for="menu in menus" :key="menu">
        {{ menu }}
      </v-tab>

      <v-tabs-items v-model="tab_menu">
        <v-tab-item key="File">
          <File
            @menu-open="() => this.$emit('menu-file-open')"
            @menu-new="() => this.$emit('menu-file-new')"
          />
        </v-tab-item>
        <v-tab-item key="Grid">
          <Grid
            @menu-add-particle="() => this.$emit('menu-grid-add-particle')"
            @menu-add-circle="() => this.$emit('menu-grid-add-circle')"
          />
        </v-tab-item>
        <v-tab-item key="Simulation">
          <Simulation
              @menu-sim-edit="() => this.$emit('menu-sim-edit')"
          />
        </v-tab-item>
      </v-tabs-items>
    </v-tabs>
    <v-divider style="background-color: #6d5394"></v-divider>
  </v-card>
  </div>
</template>
<script>
import AppContext from '@/utils/appContext'
import GeneralConf from '@/conf/general'
import File from "./FileMenu"
import Simulation from "./SimulationMenu"
import Grid from './GridMenu'

export default {
  name: 'MenuBar',
  props: {
    elementId: String,
  },
  components: {
      File,
      Simulation,
      Grid
},
  data: () => ({
    project_name: AppContext.project_name,
    app_name: GeneralConf.app_name,
    tab_menu: null,
    menus: [
      'File', 'Grid', 'Simulation',
    ],
  })
}
</script>